﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Groups
{
    /// <summary>
    /// 获取团组列表 请求实体类
    /// </summary>
    public class GroupListDto:DtoBase
    {
    }

    /// <summary>
    /// 获取团组singe 请求实体类
    /// </summary>
    public class GroupInfoDto : DtoBase
    {
        /// <summary>
        /// 团组Id 
        /// </summary>
        public int Id { get; set; }
    }

    /// <summary>
    /// 团组信息 操作
    /// 请求dto
    /// </summary>
    public class GroupOperationDto : DtoBase
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// 3 删除
        /// </summary>
        public int Status { get; set; }

        /// <summary>
        /// 团组Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 销售报价号
        /// </summary>
        public string SalesQuoteNo { get; set; }

        /// <summary>
        /// 团组操作人
        /// </summary>
        public int JietuanOperator { get; set; }

        /// <summary>
        /// 客户级别
        /// setData Id
        /// </summary>
        public int TeamLevSId { get; set; }

        /// <summary>
        /// 团组类型 
        /// setData Id
        /// </summary>
        public int TeamDid { get; set; }

        /// <summary>
        /// 团组名称
        /// </summary>
        public string TeamName { get; set; }

        /// <summary>
        /// 客户名称
        /// </summary>
        public string ClientName { get; set; }

        /// <summary>
        /// 客户单位
        /// </summary>
        public string ClientUnit { get; set; }

        /// <summary>
        /// 出访国家
        /// 多个国家 | 隔开 eg：韩国|日本
        /// </summary>
        public string VisitCountry { get; set; }

        /// <summary>
        /// 出访时间
        /// </summary>
        public string VisitDate { get; set; }

        /// <summary>
        /// 出访天数
        /// </summary>
        public int VisitDays { get; set; }

        /// <summary>
        /// 出访人数
        /// </summary>
        public int VisitPNumber { get; set; }

        /// <summary>
        /// 合同时间
        /// </summary>
        public string TontractTime { get; set; }

        /// <summary>
        /// 预付期限
        /// </summary>
        public int PayDay { get; set; }

        /// <summary>
        /// 支付款项（预付）
        /// </summary>
        public decimal PaymentMoney { get; set; }

        /// <summary>
        /// 出访目的
        /// </summary>
        public string VisitPurpose { get; set; }

        /// <summary>
        /// 特殊需求
        /// </summary>
        public string SpecialNeeds { get; set; }

        /// <summary>
        /// 其他需求
        /// </summary>
        public string OtherNeeds { get; set; }

        /// <summary>
        /// 出国任务审批部门名称
        /// </summary>
        public string CGRWSPBMMC { get; set; }

        /// <summary>
        /// 出国任务审批文号
        /// </summary>
        public string CGRWSPWH { get; set; }

        /// <summary>
        /// 政治审查部门名称
        /// </summary>
        public string ZZSCBMMC { get; set; }

        /// <summary>
        /// 政治审查部门审批文号
        /// </summary>
        public string ZZSCSPWH { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        public string TellPhone { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }

    /// <summary>
    /// 团组信息删除
    /// </summary>
    public class GroupDelDto:DtoBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        public int UserId { get; set; }
    }
}
