﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{
    /// <summary>
    /// 添加车公司数据参数
    /// </summary>
    public class AddCarDataDto
    {
        /// <summary>
        /// 区域
        /// </summary>
        public string UnitArea { get; set; }

        /// <summary>
        /// 公司名称
        /// </summary>
        public string UnitName { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }

        /// <summary>
        /// 联系人手机号
        /// </summary>
        public string ContactTel { get; set; }
        
        /// <summary>
        /// 联系人邮箱
        /// </summary>
        public string ContactEmail { get; set; }

        /// <summary>
        /// 联系人传真
        /// </summary>
        public string ContactFax { get; set; }

        /// <summary>
        /// 车描述
        /// </summary>
        public string CarDes { get; set; }

        /// <summary>
        /// 车图片路径
        /// 存储多个 使用/r/n
        /// </summary>
        public string CarPicPaths { get; set; }


        /// <summary>
        /// 其他信息
        /// </summary>
        public string OtherInfo { get; set; }

        /// <summary>
        /// 服务评分
        /// </summary>
        public int Score { get; set; }

        /// <summary>
        /// 相关的车辆资质
        /// A B C  选择
        /// </summary>
        public string QualificationScore { get; set; }

        /// <summary>
        /// 车辆2-4年新，VIP及以上需要2年新
        /// A B C  选择
        /// </summary>
        public string CarAgeScore { get; set; }

        /// <summary>
        /// 车身干净，无文字图片等
        /// A B C  选择
        /// </summary>
        public string CleanImgScore { get; set; }

        /// <summary>
        /// 车内整洁、无异味
        /// A B C  选择
        /// </summary>
        public string SmellScore { get; set; }

        /// <summary>
        /// 提前备水，纸巾等
        /// A B C  选择
        /// </summary>
        public string WaterPaperScore { get; set; }

        /// <summary>
        /// 车辆配置高（皮座椅等）
        /// A B C  选择
        /// </summary>
        public string HardwareScore { get; set; }

        /// <summary>
        /// 时间概念强
        /// A B C  选择
        /// </summary>
        public string TimeScore { get; set; }

        /// <summary>
        /// 安全意识高
        /// A B C  选择
        /// </summary>
        public string SafetyScore { get; set; }

        /// <summary>
        /// 司机驾龄时间长，提前熟悉路线
        /// A B C  选择
        /// </summary>
        public string DrivingAgeScore { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string Remark { get; set; }
    }
    /// <summary>
    /// 修改车公司数据参数
    /// </summary>
    public class UpCarDataDto
    {
        /// <summary>
        /// Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 区域
        /// </summary>
        public string UnitArea { get; set; }

        /// <summary>
        /// 公司名称
        /// </summary>
        public string UnitName { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }
        /// <summary>
        /// 联系方式
        /// </summary>
        public string ContactTel { get; set; }

        /// <summary>
        /// 联系人邮箱
        /// </summary>
        public string ContactEmail { get; set; }

        /// <summary>
        /// 联系人传真
        /// </summary>
        public string ContactFax { get; set; }

        /// <summary>
        /// 车描述
        /// </summary>
        public string CarDes { get; set; }

        /// <summary>
        /// 车图片路径
        /// 存储多个 使用/r/n
        /// </summary>
        public string CarPicPaths { get; set; }


        /// <summary>
        /// 其他信息
        /// </summary>
        public string OtherInfo { get; set; }

        /// <summary>
        /// 服务评分
        /// </summary>
        public int Score { get; set; }

        /// <summary>
        /// 相关的车辆资质
        /// A B C  选择
        /// </summary>
        public string QualificationScore { get; set; }

        /// <summary>
        /// 车辆2-4年新，VIP及以上需要2年新
        /// A B C  选择
        /// </summary>
        public string CarAgeScore { get; set; }

        /// <summary>
        /// 车身干净，无文字图片等
        /// A B C  选择
        /// </summary>
        public string CleanImgScore { get; set; }

        /// <summary>
        /// 车内整洁、无异味
        /// A B C  选择
        /// </summary>
        public string SmellScore { get; set; }

        /// <summary>
        /// 提前备水，纸巾等
        /// A B C  选择
        /// </summary>
        public string WaterPaperScore { get; set; }

        /// <summary>
        /// 车辆配置高（皮座椅等）
        /// A B C  选择
        /// </summary>
        public string HardwareScore { get; set; }

        /// <summary>
        /// 时间概念强
        /// A B C  选择
        /// </summary>
        public string TimeScore { get; set; }

        /// <summary>
        /// 安全意识高
        /// A B C  选择
        /// </summary>
        public string SafetyScore { get; set; }

        /// <summary>
        /// 司机驾龄时间长，提前熟悉路线
        /// A B C  选择
        /// </summary>
        public string DrivingAgeScore { get; set; }
       
        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string Remark { get; set; }
    }

    public class DelCarDataDto
    {
        /// <summary>
        /// 删除Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 删除人Id
        /// </summary>
        public int DeleteUserId { get; set; }
    }
}
