﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{
    /// <summary>
    /// 地接导游修改添加参数
    /// </summary>
    public class LocalGuideOperationDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }

        /// <summary>
        /// 地接导游Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 区域
        /// </summary>
        public string UnitArea { get; set; }

        /// <summary>
        /// 公司名称
        /// </summary>
        public string UnitName { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }

        /// <summary>
        /// 联系人手机号
        /// </summary>
        public string ContactTel { get; set; }
        

        /// <summary>
        /// 联系人邮箱
        /// </summary>
        public string ContactEmail { get; set; }

        /// <summary>
        /// 联系人传真
        /// </summary>
        public string ContactFax { get; set; }

        /// <summary>
        /// 其他信息
        /// </summary>
        public string OtherInfo { get; set; }

        /// <summary>
        /// 服务评分
        /// </summary>
        public int Score { get; set; }

        /// <summary>
        /// 着装得体
        /// A B C  选择
        /// </summary>
        public string SuitScore { get; set; }

        /// <summary>
        /// 服务意识强度
        /// A B C  选择
        /// </summary>
        public string ServeScore { get; set; }

        /// <summary>
        /// 讲解水平专业
        /// A B C  选择
        /// </summary>
        public string TalkProScore { get; set; }

        /// <summary>
        /// 时间概念强度
        /// A B C  选择
        /// </summary>
        public string TimeScore { get; set; }

        /// <summary>
        /// 配合能力强，服从安排
        /// A B C  选择
        /// </summary>
        public string FitScore { get; set; }

        /// <summary>
        /// 应变能力强
        /// A B C  选择
        /// </summary>
        public string StrainScore { get; set; }

        /// <summary>
        /// 当地语言和中文表达流畅
        /// A B C  选择
        /// </summary>
        public string LocalAndChineseScore { get; set; }

        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }

    /// <summary>
    /// 地接导游删除参数
    /// </summary>
    public class LocalGuideDelDto
    {
        public int Id { get; set; }
        public int DeleteUserId { get; set; }
    }
}
