﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 车公司数据源
    /// </summary>
    [SugarTable("Res_CarData")]
    public class Res_CarData : EntityBase
    {
        /// <summary>
        /// 区域
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string UnitArea { get; set; }

        /// <summary>
        /// 公司名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string UnitName { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]        
        public string Address { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(50)")]
        public string Contact { get; set; }

        /// <summary>
        /// 联系人手机号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")] 
        public string ContactTel { get; set; }

        /// <summary>
        /// 联系人邮箱
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ContactEmail { get; set; }

        /// <summary>
        /// 联系人传真
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string ContactFax { get; set; }

        /// <summary>
        /// 车描述
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string CarDes { get; set; }

        /// <summary>
        /// 车图片路径
        /// 存储多个 使用/r/n
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string CarPicPaths { get; set; }


        /// <summary>
        /// 其他信息
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string OtherInfo { get; set; }

        /// <summary>
        /// 服务评分
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Score { get; set; }

        /// <summary>
        /// 相关的车辆资质
        /// A B C  选择
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string QualificationScore { get; set; }

        /// <summary>
        /// 车辆2-4年新，VIP及以上需要2年新
        /// A B C  选择
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string CarAgeScore { get; set; }

        /// <summary>
        /// 车身干净，无文字图片等
        /// A B C  选择
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string CleanImgScore { get; set; }

        /// <summary>
        /// 车内整洁、无异味
        /// A B C  选择
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string SmellScore { get; set; }

        /// <summary>
        /// 提前备水，纸巾等
        /// A B C  选择
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string WaterPaperScore { get; set; }

        /// <summary>
        /// 车辆配置高（皮座椅等）
        /// A B C  选择
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string HardwareScore { get; set; }

        /// <summary>
        /// 时间概念强
        /// A B C  选择
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string TimeScore { get; set; }

        /// <summary>
        /// 安全意识高
        /// A B C  选择
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string SafetyScore { get; set; }

        /// <summary>
        /// 司机驾龄时间长，提前熟悉路线
        /// A B C  选择
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string DrivingAgeScore { get; set; }
    }
}
