﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 团组数据 车数据
    /// </summary>
    public class Res_CarInfo :EntityBase
    {
        /// <summary>
        /// 国家
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Country { get; set; }

        /// <summary>
        /// 城市
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string City { get; set; }

        /// <summary>
        /// 服务类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ServiceType { get; set; }

        /// <summary>
        /// 车类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string CarType { get; set; }

        /// <summary>
        /// 用车时长
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int RuningTime { get; set; }

        /// <summary>
        /// 用车报价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Price { get; set; }

        /// <summary>
        /// 车超时费用/时
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal OvertimeFee { get; set; }

        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string Currency { get; set; }
    }
}
